/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "fshed.h"
#include "ColorsPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CColorsPage property page

IMPLEMENT_DYNCREATE(CColorsPage, CPropertyPage)

CColorsPage::CColorsPage() : CPropertyPage(CColorsPage::IDD)
{
    //{{AFX_DATA_INIT(CColorsPage)
        // NOTE: the ClassWizard will add member initialization here
    //}}AFX_DATA_INIT
}

CColorsPage::~CColorsPage()
{
}

void CColorsPage::DoDataExchange(CDataExchange* pDX)
{
    CPropertyPage::DoDataExchange(pDX);
    //{{AFX_DATA_MAP(CColorsPage)
    DDX_Control(pDX, IDC_CLR_TEXT, m_clrbtnText);
    DDX_Control(pDX, IDC_CLR_SEP, m_clrbtnSep);
    DDX_Control(pDX, IDC_CLR_SELBACK, m_clrbtnSelBack);
    DDX_Control(pDX, IDC_CLR_SEL, m_clrbtnSel);
    DDX_Control(pDX, IDC_CLR_BOOKMARK, m_clrbtnBookmark);
    DDX_Control(pDX, IDC_CLR_BACK, m_clrbtnBack);
    //}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CColorsPage, CPropertyPage)
    //{{AFX_MSG_MAP(CColorsPage)
    ON_BN_CLICKED(IDC_RESET, OnReset)
    //}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CColorsPage message handlers

void CColorsPage::OnReset() 
{
    m_clrbtnText.currentcolor = RGB (0,0,0);
    m_clrbtnSep.currentcolor = RGB (192,192,192);
    m_clrbtnSelBack.currentcolor = RGB( 255, 255, 0 );
    m_clrbtnSel.currentcolor = RGB( 0, 0, 0 );
    m_clrbtnBookmark.currentcolor = RGB( 255, 0, 0 );
    m_clrbtnBack.currentcolor = RGB (255,255,255);
    Invalidate();
}
